# Generated by Django 3.0.7 on 2020-06-30 15:47

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('auth', '0011_update_proxy_permissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='User',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('password', models.CharField(max_length=128, verbose_name='password')),
                ('last_login', models.DateTimeField(blank=True, null=True, verbose_name='last login')),
                ('is_superuser', models.BooleanField(default=False, help_text='Designates that this user has all permissions without explicitly assigning them.', verbose_name='superuser status')),
                ('fristname', models.CharField(max_length=64, verbose_name='First Name')),
                ('lastname', models.CharField(max_length=64, verbose_name='Last Name')),
                ('email', models.EmailField(db_index=True, max_length=254, unique=True, verbose_name='Email')),
                ('phone', models.CharField(blank=True, max_length=10, verbose_name='phone')),
                ('user_role', models.PositiveSmallIntegerField(choices=[(0, 'Admin'), (1, 'Teacher'), (2, 'Student')], default=2)),
                ('is_staff', models.BooleanField(default=False, verbose_name='Is staff user')),
                ('is_app_user', models.BooleanField(default=False, verbose_name='Is app user')),
                ('is_active', models.BooleanField(default=False, verbose_name='Active')),
                ('groups', models.ManyToManyField(blank=True, help_text='The groups this user belongs to. A user will get all permissions granted to each of their groups.', related_name='user_set', related_query_name='user', to='auth.Group', verbose_name='groups')),
                ('user_permissions', models.ManyToManyField(blank=True, help_text='Specific permissions for this user.', related_name='user_set', related_query_name='user', to='auth.Permission', verbose_name='user permissions')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
